Subject: sorry 'bout that....

From: Michael Mealling <[email-masked]>
Date: Mon, 29 May 2000 10:30:59 -0400

Oops..
  With the discussion I accidently let some spam though. Won't happen again...

-MM

--
--------------------------------------------------------------------------------
Michael Mealling        |      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions       |          www.lp.org          |  [email-masked]